Bug 6750 - Format warnings in rls client
: Format warnings in rls client
Status: REOPENED
: Replica Location
RLS
: development
: NorduGrid All
: P3 normal
: ---
Assigned To:
: http://www.grid.tsl.uu.se/repos/globu...
:
:
:
  Show dependency treegraph
 
Reported: 2009-05-31 23:05 by
Modified: 2010-01-27 10:42 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-05-31 23:05:10
rpc.c:395: warning: format '%d' expects type 'int', but argument 3 has type
'globus_size_t'
rpc.c:395: warning: format '%d' expects type 'int', but argument 4 has type
'globus_size_t'

The linked patch fixes those issues.
------- Comment #1 From 2009-11-12 16:38:39 -------
Committed to trunk for gt5 release.
------- Comment #2 From 2010-01-27 04:28:11 -------
Sorry, but with the fix you have committed you have simply moved the problem
from the 64 bit compilation to 32 bit compilation.

Now the 64 bit compilation works without problem, but on a 32 bit compilation
you get:

rpc.c:395: warning: format ‘%lu’ expects type ‘long unsigned int’, but
argument\
 3 has type ‘globus_size_t’
rpc.c:395: warning: format ‘%lu’ expects type ‘long unsigned int’, but
argument\
 4 has type ‘globus_size_t’

You really need to do the cast here. The linked patch have been updated.